package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag940;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT940Creator;

public class Tag28CCreator extends AbsTagCreate {

     private MT940Creator mt940Creator;

    public Tag28CCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt940Creator= (MT940Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag28Value = mt940Creator.getStatementSequenceNumber();
        mt940Creator.set("28C", tag28Value);
    }
}
